Skip to content
Ona Docs

UpdateSCMIntegration

POST/gitpod.v1.RunnerConfigurationService/UpdateSCMIntegration

Updates an existing SCM integration.

Use this method to:

  • Modify integration settings
  • Update credentials
  • Change configuration

Examples

  • Update integration:

    Updates OAuth credentials.

    id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    oauthClientId: "new_client_id"
    oauthPlaintextClientSecret: "new_client_secret"
Body ParametersJSONExpand Collapse
id: optional string
formatuuid
issuerUrl: optional string

issuer_url can be set to override the authentication provider URL, if it doesn’t match the SCM host.

oauthClientId: optional string

oauth_client_id can be set to update the OAuth app’s client ID. If an empty string is set, the OAuth configuration will be removed (regardless of whether a client secret is set), and any existing Host Authentication Tokens for the SCM integration’s runner and host that were created using the OAuth app will be deleted. This might lead to users being unable to access their repositories until they re-authenticate.

oauthPlaintextClientSecret: optional string

oauth_plaintext_client_secret can be set to update the OAuth app’s client secret. The cleartext secret will be encrypted with the runner’s public key before being stored.

pat: optional boolean

pat can be set to enable or disable Personal Access Tokens support. When disabling PATs, any existing Host Authentication Tokens for the SCM integration’s runner and host that were created using a PAT will be deleted. This might lead to users being unable to access their repositories until they re-authenticate.

virtualDirectory: optional string

virtual_directory is the virtual directory path for Azure DevOps Server (e.g., “/tfs”). This field is only used for Azure DevOps Server SCM integrations and should be empty for other SCM types. Azure DevOps Server APIs work without collection when PAT scope is ‘All accessible organizations’.

UpdateSCMIntegration

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/UpdateSCMIntegration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}